### Method

# Atk Plug get_id

since: 1.30

#### Declaration [src]

    gchar*
    atk_plug_get_id (
      AtkPlug* plug
    )

#### Description [src]

Gets the unique ID of an `AtkPlug` object, which can be used to embed inside of an `AtkSocket` using atk_socket_embed().

Internally, this calls a class function that should be registered by the IPC layer (usually at-spi2-atk). The implementor of an `AtkPlug` object should call this function (after atk-bridge is loaded) and pass the value to the process implementing the `AtkSocket`, so it could embed the plug.

Available since: 1.30

#### Return value

Type: `gchar*`

The unique ID for the plug.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.